Represents an ExecuteQueryRequest.
Package
@google-cloud/bigtableConstructors
(constructor)(properties)
constructor(properties?: google.bigtable.v2.IExecuteQueryRequest);Constructs a new ExecuteQueryRequest.
| Parameter | |
|---|---|
| Name | Description |
properties |
IExecuteQueryRequest
Properties to set |
Properties
appProfileId
public appProfileId: string;ExecuteQueryRequest appProfileId.
dataFormat
public dataFormat?: "protoFormat";ExecuteQueryRequest dataFormat.
instanceName
public instanceName: string;ExecuteQueryRequest instanceName.
params
public params: { [k: string]: google.bigtable.v2.IValue };ExecuteQueryRequest params.
preparedQuery
public preparedQuery: (Uint8Array|Buffer|string);ExecuteQueryRequest preparedQuery.
protoFormat
public protoFormat?: (google.bigtable.v2.IProtoFormat|null);ExecuteQueryRequest protoFormat.
query
public query: string;ExecuteQueryRequest query.
resumeToken
public resumeToken: (Uint8Array|Buffer|string);ExecuteQueryRequest resumeToken.
Methods
create(properties)
public static create(properties?: google.bigtable.v2.IExecuteQueryRequest): google.bigtable.v2.ExecuteQueryRequest;Creates a new ExecuteQueryRequest instance using the specified properties.
| Parameter | |
|---|---|
| Name | Description |
properties |
IExecuteQueryRequest
Properties to set |
| Returns | |
|---|---|
| Type | Description |
ExecuteQueryRequest |
ExecuteQueryRequest instance |
decode(reader, length)
public static decode(reader: ($protobuf.Reader|Uint8Array), length?: number): google.bigtable.v2.ExecuteQueryRequest;Decodes an ExecuteQueryRequest message from the specified reader or buffer.
| Parameters | |
|---|---|
| Name | Description |
reader |
(Reader|Uint8Array)
Reader or buffer to decode from |
length |
number
Message length if known beforehand |
| Returns | |
|---|---|
| Type | Description |
ExecuteQueryRequest |
ExecuteQueryRequest |
decodeDelimited(reader)
public static decodeDelimited(reader: ($protobuf.Reader|Uint8Array)): google.bigtable.v2.ExecuteQueryRequest;Decodes an ExecuteQueryRequest message from the specified reader or buffer, length delimited.
| Parameter | |
|---|---|
| Name | Description |
reader |
(Reader|Uint8Array)
Reader or buffer to decode from |
| Returns | |
|---|---|
| Type | Description |
ExecuteQueryRequest |
ExecuteQueryRequest |
encode(message, writer)
public static encode(message: google.bigtable.v2.IExecuteQueryRequest, writer?: $protobuf.Writer): $protobuf.Writer;Encodes the specified ExecuteQueryRequest message. Does not implicitly messages.
| Parameters | |
|---|---|
| Name | Description |
message |
IExecuteQueryRequest
ExecuteQueryRequest message or plain object to encode |
writer |
$protobuf.Writer
Writer to encode to |
| Returns | |
|---|---|
| Type | Description |
$protobuf.Writer |
Writer |
encodeDelimited(message, writer)
public static encodeDelimited(message: google.bigtable.v2.IExecuteQueryRequest, writer?: $protobuf.Writer): $protobuf.Writer;Encodes the specified ExecuteQueryRequest message, length delimited. Does not implicitly messages.
| Parameters | |
|---|---|
| Name | Description |
message |
IExecuteQueryRequest
ExecuteQueryRequest message or plain object to encode |
writer |
$protobuf.Writer
Writer to encode to |
| Returns | |
|---|---|
| Type | Description |
$protobuf.Writer |
Writer |
fromObject(object)
public static fromObject(object: { [k: string]: any }): google.bigtable.v2.ExecuteQueryRequest;Creates an ExecuteQueryRequest message from a plain object. Also converts values to their respective internal types.
| Parameter | |
|---|---|
| Name | Description |
object |
{ [k: string]: any }
Plain object |
| Returns | |
|---|---|
| Type | Description |
ExecuteQueryRequest |
ExecuteQueryRequest |
getTypeUrl(typeUrlPrefix)
public static getTypeUrl(typeUrlPrefix?: string): string;Gets the default type url for ExecuteQueryRequest
| Parameter | |
|---|---|
| Name | Description |
typeUrlPrefix |
string
your custom typeUrlPrefix(default "type.googleapis.com") |
| Returns | |
|---|---|
| Type | Description |
string |
The default type url |
toJSON()
public toJSON(): { [k: string]: any };Converts this ExecuteQueryRequest to JSON.
| Returns | |
|---|---|
| Type | Description |
{ [k: string]: any } |
JSON object |
toObject(message, options)
public static toObject(message: google.bigtable.v2.ExecuteQueryRequest, options?: $protobuf.IConversionOptions): { [k: string]: any };Creates a plain object from an ExecuteQueryRequest message. Also converts values to other types if specified.
| Parameters | |
|---|---|
| Name | Description |
message |
ExecuteQueryRequest
ExecuteQueryRequest |
options |
$protobuf.IConversionOptions
Conversion options |
| Returns | |
|---|---|
| Type | Description |
{ [k: string]: any } |
Plain object |
verify(message)
public static verify(message: { [k: string]: any }): (string|null);Verifies an ExecuteQueryRequest message.
| Parameter | |
|---|---|
| Name | Description |
message |
{ [k: string]: any }
Plain object to verify |
| Returns | |
|---|---|
| Type | Description |
(string|null) |
|